Herald
OpenapiAuth

Request password reset

Initiates a password reset process by sending a verification code to user's email address. Always returns success to prevent email enumeration.

POST
/api/auth/{realmId}/reset_password/request

Initiates a password reset process by sending a verification code to user's email address. Always returns success to prevent email enumeration.

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string
turnstileToken?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/reset_password/request" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{  "message": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}